; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_INITIALISIEREN:
	cbi (WIND_DDR) ,(WIND_PIN_NR)		; auf EINGANG	
	sbi (WIND_PORT),(WIND_PIN_NR)		; Pull-Up ein	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_CLEAR:
	ldi temp1,LOW (1000)				; VT	
	ldi temp2,HIGH(1000)				; VT	
	mov ssVT_L, temp1
	mov ssVT_H, temp2
	clr IMPULSE
	clr FREQUENZ
	clr FREQUENZ_MAX
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_MAX_BERECHNUNG:
	mov temp1,FREQUENZ
	mov temp2,FREQUENZ_MAX
	cp temp1,temp2
	brlo WIND_MAX_FERTIG
	mov FREQUENZ_MAX,temp1		; save
	ret
;-------------------------------------------------------------------------------
WIND_MAX_FERTIG:
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_LED:
	LED_A0_OFF
	LED_A1_OFF
	LED_A2_OFF
	LED_A3_OFF
	LED_A4_OFF
	LED_A5_OFF
	LED_A6_OFF
	LED_A7_OFF
	LED_A8_OFF
	LED_A9_OFF
	mov temp,FREQUENZ
	rjmp LED_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
WIND_LED_MAX:
	mov temp,FREQUENZ_MAX
	rjmp LED_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INP: temp																		
LED_TEMP:
	cpi temp,(45)
	brsh LED_9
	cpi temp,(40)
	brsh LED_8
	cpi temp,(35)
	brsh LED_7
	cpi temp,(30)
	brsh LED_6
	cpi temp,(25)
	brsh LED_5
	cpi temp,(20)
	brsh LED_4
	cpi temp,(15)
	brsh LED_3
	cpi temp,(10)
	brsh LED_2
	cpi temp,(5)
	brsh LED_1
	cpi temp,(1)
	brsh LED_0
	ret
;-------------------------------------------------------------------------------
LED_0:
	LED_A0_ON
	ret
;-------------------------------------------------------------------------------
LED_1:
	LED_A1_ON
	ret
;-------------------------------------------------------------------------------
LED_2:
	LED_A2_ON
	ret
;-------------------------------------------------------------------------------
LED_3:
	LED_A3_ON
	ret
;-------------------------------------------------------------------------------
LED_4:
	LED_A4_ON
	ret
;-------------------------------------------------------------------------------
LED_5:
	LED_A5_ON
	ret
;-------------------------------------------------------------------------------
LED_6:
	LED_A6_ON
	ret
;-------------------------------------------------------------------------------
LED_7:
	LED_A7_ON
	ret
;-------------------------------------------------------------------------------
LED_8:
	LED_A8_ON
	ret
;-------------------------------------------------------------------------------
LED_9:
	LED_A9_ON
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
